## solfege 2.0.4

=== soundcard/Makefile ===
# vim: set noexpandtab:
#
# GNU Solfege - eartraining for GNOME
# Copyright (C) 2000, 2001, 2002, 2003  Tom Cato Amundsen
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


depth = ..
name = soundcard

include $(depth)/Makefile.inc

python-installfiles = $(wildcard *.py)
dist_files = Makefile $(python-installfiles) $(filter-out solfege_c_midi_wrap.c, $(wildcard *.c *.i *.h)) winmidi.dsp winmidi.dsw winmidi.def

CFLAGS:=$(CFLAGS) -I/usr/src/linux/include -I .. -Wall -pedantic -fPIC  
CC:=$(CC) $(CFLAGS) -DHAVE_CONFIG_H 

ifeq ($(ENABLE_OSS_SOUND),yes)
ifeq ($(SWIG_VERSION),1.1)
all: solfege_c_midimodule.so
else
all: _solfege_c_midi.so
endif
all:
endif

OBJECTS = macro_to_function.o \
	solfege_c_midi.o \
	solfege_c_midi_wrap.o

ifeq ($(ENABLE_TUNER),yes)
OBJECTS += fft.o dsp.o gate.o calc.o xmalloc.o
endif

solfege_c_midimodule.so: $(OBJECTS)
	$(CC) -fPIC -shared $(OBJECTS) -o solfege_c_midimodule.so -lc $(LIBS)
	
_solfege_c_midi.so: $(OBJECTS)
	$(CC) -fPIC -shared $(OBJECTS) -o _solfege_c_midi.so $(LIBS)

solfege_c_midi_wrap.o: solfege_c_midi_wrap.c solfege_c_midi.i
	$(CC) $(CFLAGS) -c solfege_c_midi_wrap.c $(PYTHON_INCLUDES)

solfege_c_midi_wrap.c: solfege_c_midi.c macro_to_function.c solfege_c_midi.i ../config.status
	# rm all generated swig files to be safe...
	rm -f _solfege_c_midi.so
	rm -f solfege_c_midi.py*
	rm -f solfege_c_midimodule.so
	$(SWIG) -python solfege_c_midi.i

# win32
# This section is still just a hack and will be completed in a later
# release. At the moment I (tca) use this section to cross-compile
# the win32 sound module 'winmidi.py'

# mkdir ~/X/python22
# cd ~/X/python22
# unzip /mnt/hda9/Python-2.2.exe
# lowercase-filename
# d2u *.h
#
W32CFLAGS=-I/home/tom/X/python22 -I/usr/i586-mingw32msvc/include 
W32GCC=i586-mingw32msvc-gcc

PYDLL=/home/tom/X/python22/python22.dll
DLLWRAP=i586-mingw32msvc-dllwrap

winmidi.pyd: winmidi.o
	$(DLLWRAP) --dllname=winmidi.pyd --def=winmidi.def winmidi.o -s --entry=_DllMain@12 -L/usr/i586-mingw32msvc/lib/ -lwinmm $(PYDLL)

winmidi.o: winmidi.c
	$(W32GCC) $(W32CFLAGS) -c winmidi.c

# end win32

install: python-install
ifeq ($(ENABLE_OSS_SOUND),yes)
	mkdir -p $(libdir)/$(PACKAGE)/$(VERSION)
ifeq ($(SWIG_VERSION),1.1)
	$(INSTALL_DATA) solfege_c_midimodule.so $(libdir)/$(PACKAGE)/$(VERSION)/
else
	$(INSTALL_DATA) _solfege_c_midi.so $(libdir)/$(PACKAGE)/$(VERSION)/
endif
endif

uninstall: python-uninstall
ifeq ($(SWIG_VERSION),1.1)
	rm -f $(libdir)/$(PACKAGE)/$(VERSION)/solfege_c_midimodule.so
else
	rm -f $(libdir)/$(PACKAGE)/$(VERSION)/_solfege_c_midi.so
endif
	rmdir $(libdir)/$(PACKAGE)/$(VERSION) || true
	rmdir $(libdir)/$(PACKAGE) || true

clean:
	rm -f *.pyc *.pyo *.o *.so *~
	rm -f solfege_c_midi_wrap.*
	rm -f winmidi.pyd winmidi.o
	# generated by swig 13:
	rm -f solfege_c_midi.py*

distclean: clean

=== online-docs/C/Makefile ===
#
# GNU Solfege - eartraining for GNOME
# Copyright (C) 2000, 2001, 2002, 2003  Tom Cato Amundsen
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

depth=../..
name = online-docs/$(notdir $(shell pwd))

include $(depth)/Makefile.inc
include ../Rules.make

all: build-stamp
build-stamp: $(wildcard *.xml *.sgml) ../create_toc.py
	$(MAKE) all-alllang
	LC_ALL=$(notdir $(shell pwd)) $(PYTHON) ../create_toc.py $(notdir $(shell pwd)) UTF-8
	touch build-stamp

install: data-install

gpl.html: gpl-appendix.sgml
	-xsltproc -o gpl.html $(dir $(stylesheet_filename))/docbook.xsl gpl-appendix.sgml
fdl.html: fdl-appendix.sgml
	-xsltproc -o fdl.html $(dir $(stylesheet_filename))/docbook.xsl fdl-appendix.sgml

all: build-stamp AUTHORS.html gpl.html fdl.html

=== online-docs/png/Makefile ===
# vim: set noexpandtab:
#
# GNU Solfege - eartraining for GNOME
# Copyright (C) 2000, 2001, 2002, 2003  Tom Cato Amundsen
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


depth = ../..
name = online-docs/png

include $(depth)/Makefile.inc

data-installfiles = $(wildcard *.png)
dist_files = Makefile $(data-installfiles)

ps:
	for fn in $(basename $(data-installfiles)); do\
		cat $$fn.png | pngtopnm | pnmtops >$$fn.ps;\
	done
	touch built-ps-stamp

install: data-install

uninstall: data-uninstall

clean:
	rm -f *.ps built-ps-stamp
distclean:

=== online-docs/ru/Makefile ===
#
# GNU Solfege - eartraining for GNOME
# Copyright (C) 2000, 2001, 2002, 2003  Tom Cato Amundsen
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

depth=../..
name = online-docs/$(notdir $(shell pwd))

include $(depth)/Makefile.inc
include ../Rules.make

all: build-stamp
build-stamp: $(wildcard *.xml *.sgml) ../create_toc.py
	$(MAKE) all-alllang
	LC_ALL=$(notdir $(shell pwd)) $(PYTHON) ../create_toc.py $(notdir $(shell pwd)) UTF-8
	touch build-stamp

install: data-install

## solfege 3.6.4

=== debian-dir/Makefile ===
# vim: set noexpandtab:
#
# GNU Solfege - ear training for GNOME
# Copyright (C) 2000, 2001, 2002, 2003, 2004, 2006  Tom Cato Amundsen
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin ST, Fifth Floor, Boston, MA  02110-1301  USA


dist_files += debian-dir/Makefile \
	debian-dir/changelog \
	debian-dir/control \
	debian-dir/copyright \
	debian-dir/dirs \
	debian-dir/docs \
	debian-dir/solfege.postinst \
	debian-dir/solfege.prerm \
	debian-dir/rules \
	debian-dir/solfege.menu \
	debian-dir/solfege.doc-base \
	debian-dir/README.debian-dir \
	debian-dir/pycompat \
	debian-dir/pyversions

distclean-files += debian-dir/solfege \
	$(wildcard debian-dir/*.debhelper) \
	debian-dir/files \
	debian-dir/solfege.substvars

## solfege 3.9.3

=== help/Makefile ===
USER_MANUAL_LANGUAGES=nb fr tr pt_BR
include help/C/Makefile
help/nb/solfege.xml: help/nb/nb.po $(USER_MANUAL_SOURCES)
help/fr/solfege.xml: help/fr/fr.po $(USER_MANUAL_SOURCES)
help/tr/solfege.xml: help/tr/tr.po $(USER_MANUAL_SOURCES)
help/pt_BR/solfege.xml: help/pt_BR/pt_BR.po $(USER_MANUAL_SOURCES)

I18NDEFS:=--stringparam chunker.output.encoding "UTF-8"
XSLTPARAMS:=--param use.id.as.filename 1 --param xref.with.number.and.title 0 --xinclude --stringparam html.stylesheet "../style.css"

dist_files += help/Makefile help/README \
	help/style.css \
	$(foreach dir,C $(USER_MANUAL_LANGUAGES), \
	$(wildcard help/$(dir)/*.html) \
	$(wildcard help/$(dir)/*.xml) \
	$(wildcard help/$(dir)/$(dir).po) \
	$(wildcard help/$(dir)/figures/*.png) \
	$(wildcard help/$(dir)/ly/*.ly) \
	$(wildcard help/$(dir)/ly/*.png) \
	)

installfiles+=$(foreach dir,$(USER_MANUAL_LANGUAGES), \
	$(wildcard help/$(dir)/*.html) \
	$(wildcard help/$(dir)/figures/*.png) \
	$(wildcard help/$(dir)/ly/*.png) \
	)
installfiles+=help/style.css

all: $(foreach dir,C $(USER_MANUAL_LANGUAGES),help/$(dir)/index.html)
maintainer-clean: rm-generated-user-manual

rm-generated-user-manual:
	for dir in $(USER_MANUAL_LANGUAGES); do \
		rm -f help/$$dir/*.html; \
		rm -f help/$$dir/*.xml; \
	done
	rm -f help/C/*.html

TARGETS += help/C/rhythmtable.xml
help/C/rhythmtable.xml: tools/gen_rhythms_table.py
	$(PYTHON) tools/gen_rhythms_table.py

update-language-po: update-help-C-pot
	for dir in $(USER_MANUAL_LANGUAGES); do \
		echo $$dir ; \
		cp help/$$dir/$$dir.po help/$$dir/$$dir.po.tmp; \
		$(MSGMERGE) -o help/$$dir/$$dir.po help/$$dir/$$dir.po.tmp help/C/solfege.pot; \
		rm help/$$dir/$$dir.po.tmp; \
	done

help/nb/solfege.xml:
ifdef XML2PO
ifneq "$(skipmanual)" "yes"
	for filename in $(notdir $(USER_MANUAL_SOURCES)); do \
	$(XML2PO) --keep-entities -p $(patsubst help/nb/solfege.xml, help/nb, $@)/$(patsubst help/nb/solfege.xml,nb,$@).po -o $(dir $@)/$$filename help/C/$$filename; \
	done
	rm -f .xml2po.mo
	mv  help/nb/solfege.xml help/nb/tmp.sed.solfege.xml
	sed -e "s/<book id=\"index\" lang=\"nb\">/<book id=\"index\" lang=\"no\">/" help/nb/tmp.sed.solfege.xml > help/nb/solfege.xml
endif
endif

# We have a special rule for norwegian bokmaal (nb) above, since docbook
# does not know obout the new language codes. It excpect "no" and not "nb"
help/%/solfege.xml:
ifdef XML2PO
ifneq "$(skipmanual)" "yes"
	for filename in $(notdir $(USER_MANUAL_SOURCES)); do \
	$(XML2PO) --keep-entities -p $(patsubst help/%/solfege.xml, help/%, $@)/$(patsubst help/%/solfege.xml,%,$@).po -o $(dir $@)/$$filename help/C/$$filename; \
	done
	rm -f .xml2po.mo
endif
endif

%/one-big-page.html: %/solfege.xml
	mv $(dir $<)index.html $(dir $<)/orig-index.html || true
	(cd $(dir $<); $(XSLTPROC) $(I18NDEFS) --xinclude --param onechunk 1 $(STYLESHEET) $(notdir $<) )
	mv $(dir $<)index.html $(dir $<)one-big-page.html
	mv $(dir $<)orig-index.html $(dir $<)index.html || true

%/index.html: %/solfege.xml
ifneq "$(skipmanual)" "yes"
ifeq "$(HAVE_STYLESHEET)" "yes"
 ifneq "$(XSLTPROC)" ""
	(cd $(dir $<); $(XSLTPROC) $(I18NDEFS) $(XSLTPARAMS) $(STYLESHEET) $(notdir $<))
 else
  ifneq "$(skipmanual)" "yes"
	@echo "*** Cannot rebuild the user manual because you don't have xsltproc installed."
	@echo "*** Run make as 'make skipmanual=yes' to ignore the problem and don't build the docs"
	exit 64
  endif
 endif
else
 ifneq "$(skipmanual)" "yes"
	@echo "*** Cannot rebuild html docs because we are missing the docbook stylesheet."
	@echo "*** Try to install the missing software and reconfigure."
	@echo "*** Run make as 'make skipmanual=yes' to ignore the problem and don't build the docs"
	exit 64
 endif
endif
endif
ifeq "$(skipmanual)" "yes"
	@echo "*** Not building manual because nomanual=yes"
endif

ifdef XML2PO
update-manual: $(addsuffix /solfege.xml,$(addprefix help/,$(USER_MANUAL_LANGUAGES)))
else
update-manual:
	@echo "You have to install xml2po to run 'make update-manual'"
endif

%.png:%.ly
	mkdir -p $(dir $<)out
	# This old code dont work any more. Most likely a dist-upgrade to sid
	# cause this.
	# cd $(dir $<) && $(LILYPOND) -o out/ -b eps $(notdir $<)
	#mv $(dir $<)out/$(basename $(notdir $<)).eps $(dir $<)out/$(basename $(notdir $<)).ps
	#cd $(dir $<)out && ps2eps -f $(basename $(notdir $<)).ps
	#$(PYTHON) tools/fix_eps.py $(dir $<)out/$(basename $(notdir $<)).eps
	#gs-gpl -dEPSCrop -dGraphicsAlphaBits=2 -dTextAlphaBits=4 -dNOPAUSE -sDEVICE=png16m -sOutputFile="$@" -r96 "$(dir $<)out/$(basename $(notdir $<)).eps" -c quit
	# The following code works, but it will only include the first line
	# of the music. So always use this for only SHORT music fragments.
	cd $(dir $<) && $(LILYPOND) -o out/ --preview $(notdir $<)
	mv $(dir $<)out/$(basename $(notdir $<)).preview.png $@

uninstall-manual:
	rm -rf /usr/share/omf/solfege
	rm -rf /usr/share/gnome/help/solfege

install-manual: uninstall-manual
	mkdir /usr/share/omf/solfege || true
	cp help/C/solfege.omf /usr/share/omf/solfege
	mkdir -p /usr/share/gnome/help/solfege/C || true
	cp help/C/*.xml /usr/share/gnome/help/solfege/C

=== lesson-files/Makefile ===
# vim: set noexpandtab:
#
# GNU Solfege - free ear training software
# Copyright (C) 2000, 2001, 2002, 2003, 2004, 2007  Tom Cato Amundsen
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin ST, Fifth Floor, Boston, MA  02110-1301  USA

installfiles += $(filter-out \
	lesson-files/Makefile lesson-files/bin lesson-files/share lesson-files/include, \
	$(wildcard lesson-files/* lesson-files/bin/* lesson-files/share/* lesson-files/include/*))
dist_files += $(filter-out lesson-files/bin lesson-files/share lesson-files/include, \
	$(wildcard lesson-files/* lesson-files/bin/* lesson-files/share/* lesson-files/include/*))

=== regression-lesson-files/Makefile ===
# vim: set noexpandtab:
#
# GNU Solfege - free ear training software
# Copyright (C) 2004, 2007 Tom Cato Amundsen
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin ST, Fifth Floor, Boston, MA  02110-1301  USA

installfiles += $(filter-out regression-lesson-files/Makefile, \
	$(wildcard regression-lesson-files/*))
dist_files += $(wildcard regression-lesson-files/*)

=== soundcard/Makefile ===
# vim: set noexpandtab:
#
# GNU Solfege - free ear training software
# Copyright (C) 2000, 2001, 2002, 2003, 2004, 2007  Tom Cato Amundsen
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin ST, Fifth Floor, Boston, MA  02110-1301  USA

installfiles += $(wildcard soundcard/*.py)
dist_files += soundcard/Makefile \
	$(wildcard soundcard/*.py) \
	$(wildcard soundcard/*.c soundcard/*.i soundcard/*.h) \
	soundcard/winmidi.dsp soundcard/winmidi.dsw soundcard/winmidi.def

easy-dist-files += soundcard/solfege_c_midi_wrap.c

CFLAGS:=$(CFLAGS) -I/usr/src/linux/include -Wall -pedantic -fPIC
CC:=$(CC) $(CFLAGS) -DHAVE_CONFIG_H 

ifeq ($(ENABLE_OSS_SOUND),yes)
 ifeq ($(SWIG_VERSION),1.1)
  TARGETS += soundcard/solfege_c_midimodule.so
 endif
 ifeq ($(SWIG_VERSION),1.3)
  TARGETS += soundcard/_solfege_c_midi.so
 endif
 ifeq ($(SWIG_VERSION),unknown)
  TARGETS += soundcard/_solfege_c_midi.so
 endif
endif

OBJECTS = soundcard/macro_to_function.o \
	soundcard/solfege_c_midi.o \
	soundcard/solfege_c_midi_wrap.o

ifeq ($(ENABLE_TUNER),yes)
OBJECTS += fft.o dsp.o gate.o calc.o xmalloc.o
endif

soundcard/solfege_c_midimodule.so: $(OBJECTS)
	$(CC) -fPIC -shared $(OBJECTS) -o $@ -lc

soundcard/_solfege_c_midi.so: $(OBJECTS)
	$(CC) -fPIC -shared $(OBJECTS) -o $@

soundcard/solfege_c_midi_wrap.o: soundcard/solfege_c_midi_wrap.c soundcard/solfege_c_midi.i
	(cd soundcard; $(CC) $(CFLAGS) -c solfege_c_midi_wrap.c $(PYTHON_INCLUDES))

soundcard/solfege_c_midi_wrap.c: soundcard/solfege_c_midi.c soundcard/macro_to_function.c soundcard/solfege_c_midi.i
	(cd soundcard; $(SWIG) -python solfege_c_midi.i)

# win32

ifeq ($(ENABLE_WINMIDI),yes)
TARGETS += soundcard/winmidi.pyd
endif

PYDLL=/c/Windows/system32/python25.dll
DLLWRAP=dllwrap

%/winmidi.pyd: %/winmidi.o
	$(DLLWRAP) --dllname=$@ --def=soundcard/winmidi.def $< -o $@ -s --entry=_DllMain@12 -L/usr/i586-mingw32msvc/lib/ -lwinmm $(PYDLL)

%/winmidi.o: %/winmidi.c
	$(CC) $(CFLAGS) $(PYTHON_INCLUDES) -c $< -o $@

# end win32

install-soundcard:
ifeq ($(ENABLE_OSS_SOUND),yes)
	mkdir -p $(DESTDIR)/$(libdir)/$(PACKAGE)
ifeq ($(SWIG_VERSION),1.1)
	$(INSTALL_DATA) soundcard/solfege_c_midimodule.so $(DESTDIR)/$(libdir)/$(PACKAGE)/
else
	$(INSTALL_DATA) soundcard/_solfege_c_midi.so $(DESTDIR)/$(libdir)/$(PACKAGE)/
endif
endif

uninstall-soundcard:
ifeq ($(SWIG_VERSION),1.1)
	rm -f $(DESTDIR)/$(libdir)/$(PACKAGE)/solfege_c_midimodule.so
else
	rm -f $(DESTDIR)/$(libdir)/$(PACKAGE)/_solfege_c_midi.so
endif
	rmdir $(DESTDIR)/$(libdir)/$(PACKAGE) || true
	rmdir $(DESTDIR)/$(libdir)/$(PACKAGE) || true

clean-files += \
	$(wildcard soundcard/*.o soundcard/*.so soundcard/*.pyc soundcard/*.pyd soundcard/*.pyo)

## solfege 3.16.4

=== debian/changelog ===
solfege (3.16.4-2) unstable; urgency=low

  * Fix the test suite so that it builds (closes: #595860) 

 -- Tom Cato Amundsen <tca@debian.org>  Sun, 19 Sep 2010 16:40:13 +0200

solfege (3.16.4-1) unstable; urgency=low

  * New upstream release
  * Fix solfege-oss description (closes: #589656)
  * Do not raise Python string exceptions (closes: #585356)
  * Updated debian/watch file

 -- Tom Cato Amundsen <tca@debian.org>  Sat, 24 Jul 2010 12:35:52 +0200

solfege (3.16.3-2) unstable; urgency=low

  * Section: extra, not optional 

 -- Tom Cato Amundsen <tca@debian.org>  Thu, 20 May 2010 21:47:24 +0200

solfege (3.16.3-1) unstable; urgency=low

  * New upstream release
  * Recommend csound (closes: #579210)

 -- Tom Cato Amundsen <tca@debian.org>  Wed, 19 May 2010 23:10:09 +0200

solfege (3.15.9-1) unstable; urgency=low

  * New upstream release.
  * Redo packaging. 

 -- Tom Cato Amundsen <tca@debian.org>  Sun, 28 Mar 2010 06:34:28 +0200

solfege (3.14.5-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Ensure xmlllint does not access the net during build: new dpatch
    xmllint-nonet from Ubuntu by Alessio Treglia. (Closes: #533993)

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 24 Nov 2009 10:01:25 +0100

solfege (3.14.5-2) unstable; urgency=low

  * Don't depent on python-gtkhtml2 (closes: #549032)

 -- Tom Cato Amundsen <tca@debian.org>  Wed, 23 Sep 2009 04:19:19 +0200

solfege (3.14.5-1) unstable; urgency=low

  * New upstream release.

 -- Tom Cato Amundsen <tca@debian.org>  Sun, 05 Jul 2009 00:27:23 +0200

solfege (3.11.3-4) unstable; urgency=low

  * added patches/xsltproc-nonet.dpatch to run xsltproc without net
    access. (Closes: #494228)

 -- Tom Cato Amundsen <tca@debian.org>  Fri, 15 Aug 2008 09:40:22 +0200

solfege (3.11.3-3) unstable; urgency=low

  * don't code on vacation: add patches/filesystem-getcwd-bug to
    patches/00list

 -- Tom Cato Amundsen <tca@debian.org>  Sat, 09 Aug 2008 10:22:11 +0200

solfege (3.11.3-2) unstable; urgency=low

  * added patches/filesystem-getcwd-bug. One line fix to replace
    getcwd with os.getcwdu. (Closes: #492818)

 -- Tom Cato Amundsen <tca@debian.org>  Thu, 31 Jul 2008 23:01:17 +0200

solfege (3.11.3-1) unstable; urgency=low

  * New upstream release
  * Adjusted pygtk version requirement.
  * Modified debian/rules to use the dh script
  * Build-depend on libxml2-utils since the tests use xmllint
  * Build-depend on gnome-doc-utils

 -- Tom Cato Amundsen <tca@debian.org>  Sun, 14 Jul 2008 07:46:47 +0200

solfege (3.10.3-1) unstable; urgency=low

  * New upstream release

 -- Tom Cato Amundsen <tca@debian.org>  Tue, 25 Mar 2008 23:56:07 +0100

solfege (3.10.1-1) unstable; urgency=low

  * New upstream release.
  * Remove the Bzr-Vcs field again. It should point the a repo of the
    debian dir, and not the upstream repo.

 -- Tom Cato Amundsen <tca@debian.org>  Thu, 07 Feb 2008 22:16:59 +0100

solfege (3.9.3-4) unstable; urgency=low

  * Added Bzr-Vcs field to the control file.

 -- Tom Cato Amundsen <tca@debian.org>  Tue, 27 Nov 2007 22:14:44 +0100

solfege (3.9.3-3) unstable; urgency=low

  * Build depend on xbase-clients and xfonts-base too. xvfb need this.
    (Closes: #449146, #449196)

 -- Tom Cato Amundsen <tca@debian.org>  Sun,  4 Nov 2007 14:05:18 +0100

solfege (3.9.3-2) unstable; urgency=low

  * Build depend on xvfb. (Closes: #449146)
  * Added Vcs-Bzr field.

 -- Tom Cato Amundsen <tca@debian.org>  Sat,  3 Nov 2007 18:15:44 +0100

solfege (3.9.3-1) unstable; urgency=low

  * New upstream release

 -- Tom Cato Amundsen <tca@debian.org>  Fri,  2 Nov 2007 11:50:00 +0100

solfege (3.8.1-1) unstable; urgency=low

  * New upstream release.

 -- Tom Cato Amundsen <tca@debian.org>  Mon, 18 Jun 2007 22:11:22 +0200

solfege (3.6.4-1) unstable; urgency=medium

  * New upstream release that consists of only small (in number of
    changed lines) fixes we to go into etch.
  * Handle upgrade from 3.0.6-1 (closes: #399214)

 -- Tom Cato Amundsen <tca@debian.org>  Fri,  8 Dec 2006 20:39:34 +0100

solfege (3.6.3-1) unstable; urgency=low

  * New upstream release

 -- Tom Cato Amundsen <tca@debian.org>  Tue, 17 Oct 2006 20:54:08 +0200

solfege (3.6.2-1) unstable; urgency=low

  * New upstream release

 -- Tom Cato Amundsen <tca@debian.org>  Mon, 16 Oct 2006 10:03:14 +0200

solfege (3.6.0-1) unstable; urgency=low

  * New upstream release.
  * Cleanup after old release missing solfege.dirs. (closes: #389523)
  * Serious attempt to follow the new python policy. (closes: 374757)
  * Depend on timidity and freepats, because this is the easiest and
    safest way to provide working sound out of the box.

 -- Tom Cato Amundsen <tca@debian.org>  Mon,  2 Oct 2006 22:30:39 +0200

solfege (3.4.1-1) unstable; urgency=low

  * New upstream release (#closes: 380578)

 -- Tom Cato Amundsen <tca@debian.org>  Mon, 31 Jul 2006 06:33:06 +0200

solfege (3.4.0-4) unstable; urgency=low

  * Remove "exit -1" bashism from two makefiles. (closes: #377363)

 -- Tom Cato Amundsen <tca@debian.org>  Sat,  8 Jul 2006 21:30:27 +0200

solfege (3.4.0-3) unstable; urgency=low

  * Build with skipmanual=yes.

 -- Tom Cato Amundsen <tca@debian.org>  Wed,  5 Jul 2006 23:10:28 +0200

solfege (3.4.0-2) unstable; urgency=low

  * Added XS-Python-Version: current
  * Added XB-Python-Version: ${python:Versions}

 -- Tom Cato Amundsen <tca@debian.org>  Thu, 29 Jun 2006 22:23:49 +0200

solfege (3.4.0-1) unstable; urgency=low

  * New upstream release.
  * Use dh_pysupport
  * Use dh_installman instead of dh_installmanpages
  * Rename /etc/solfege2.0 to /etc/solfege in preinst if it exists.
  * Adjusted debian/solfege.doc-base to find the new user manual
  * Join the old and the new changelog file into
    /usr/share/solfege/changelog.gz, not only the old.

 -- Tom Cato Amundsen <tca@debian.org>  Thu, 29 Jun 2006 20:44:21 +0200

solfege (3.0.3-1) unstable; urgency=low

  * New upstream release.

 -- Tom Cato Amundsen <tca@debian.org>  Fri, 14 Oct 2005 23:13:05 +0200



=== debian/control ===
Source: solfege
Section: gnome
Priority: optional
Maintainer: Tom Cato Amundsen <tca@debian.org>
Build-Depends: quilt (>= 0.46-7~), debhelper (>= 7.0.50~), autotools-dev, swig, gettext, python-dev, texinfo, python-gtk2 (>=2.12.0), python-gtk2-dev (>=2.12.0), librsvg2-bin, txt2man, pkg-config, libglib2.0-dev (>= 2.8.0), python-support (>=0.8.4lenny1), xvfb, xauth, xfonts-base, libxml2-utils, gnome-doc-utils
Standards-Version: 3.8.4
Homepage: http://www.solfege.org

Package: solfege
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python, python-gtk2 (>= 2.12), timidity, freepats
Recommends: csound
Description: Ear training software
 GNU Solfege is an ear training program for X Window written in Python,
 using the GTK+ 2.0 libraries. You can practice harmonic and
 melodic intervals, chords, scales and rhythms, and you can add new
 exercises using a simple plain text file format.
 .
 Ear training is a big subject with many connections to music theory
 and performance of music, so I won't even try to make "a complete
 computer-based ear training course". But I hope someone find this
 software useful.

Package: solfege-doc
Architecture: all
Depends: ${misc:Depends}
Section: doc
Description: documentation for GNU Solfege
 Users manual for GNU Solfege. Both the english manual and all translations.

Package: solfege-oss
Architecture: any
Depends: solfege, ${shlibs:Depends}, ${misc:Depends}
Description: OSS module for GNU Solfege
 This package contains the Python module GNU Solfege needs to access
 the sequencer device of OSS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS


%:
	dh --with quilt  $@

override_dh_clean:
	dh_clean
	rm -f solfege/exercises/*.pyc

## solfege 3.19.6

=== debian/changelog ===
solfege (3.19.6-1) unstable; urgency=low

  * New upstream release

 -- Tom Cato Amundsen <tca@debian.org>  Sun, 10 Apr 2011 11:04:33 +0200

## solfege 3.20.3

=== debian/changelog ===
solfege (3.20.3-4) unstable; urgency=low

  * python-support -> dh_python2 
  * Recommends: python-pyalsa (closes: #644369)

 -- Tom Cato Amundsen <tca@debian.org>  Sat, 15 Oct 2011 20:03:30 +0200

solfege (3.20.3-3) unstable; urgency=low

  * revert 3.20.3-2, it did not fix 643609.
  * don't run xmllint (closes: #643609)

 -- Tom Cato Amundsen <tca@debian.org>  Tue, 04 Oct 2011 19:13:23 +0200

solfege (3.20.3-2) unstable; urgency=low

  * xmllint: run with --nonet (closes: #643609) 

 -- Tom Cato Amundsen <tca@debian.org>  Mon, 03 Oct 2011 22:31:44 +0200

solfege (3.20.3-1) unstable; urgency=low

  * New upstream release
  * solfege.desktop: add GenericName (closes: #641741)

 -- Tom Cato Amundsen <tca@debian.org>  Sun, 25 Sep 2011 17:22:41 +0200

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 
 %:
-	dh --with quilt  $@
+	dh --with quilt,python2  $@
 
 override_dh_clean:
 	dh_clean

## solfege 3.20.6

=== debian/changelog ===
solfege (3.20.6-1) unstable; urgency=low

  * New upstream release

 -- Tom Cato Amundsen <tca@debian.org>  Thu, 21 Jun 2012 00:16:29 +0200

solfege (3.20.5-rc2-1) unstable; urgency=low

  * New upstream release

 -- Tom Cato Amundsen <tca@debian.org>  Sun, 27 May 2012 22:52:03 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: gnome
 Priority: optional
 Maintainer: Tom Cato Amundsen <tca@debian.org>
-Build-Depends: quilt (>= 0.46-7~), debhelper (>= 7.0.50~), autotools-dev, swig, gettext, python-dev, texinfo, python-gtk2 (>=2.12.0), python-gtk2-dev (>=2.12.0), librsvg2-bin, txt2man, pkg-config, libglib2.0-dev (>= 2.8.0), python-support (>=0.8.4lenny1), xvfb, xauth, xfonts-base, libxml2-utils, gnome-doc-utils
-Standards-Version: 3.8.4
+Build-Depends: quilt (>= 0.46-7~), debhelper (>= 7.0.50~), autotools-dev, swig, gettext, python-dev (>=2.6.6-3~), texinfo, python-gtk2 (>=2.12.0), python-gtk2-dev (>=2.12.0), librsvg2-bin, txt2man, pkg-config, libglib2.0-dev (>= 2.8.0), xvfb, xauth, xfonts-base, libxml2-utils, gnome-doc-utils
+Standards-Version: 3.9.1
 Homepage: http://www.solfege.org
 
 Package: solfege
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, python, python-gtk2 (>= 2.12), timidity, freepats
-Recommends: csound
+Depends: ${shlibs:Depends}, ${misc:Depends}, python (>=2.6.6-3~), python-gtk2 (>= 2.12), timidity, freepats
+Recommends: csound, python-pyalsa
 Description: Ear training software
  GNU Solfege is an ear training program for X Window written in Python,
  using the GTK+ 2.0 libraries. You can practice harmonic and

## solfege 3.22.2

=== solfege/Makefile ===
# vim: set noexpandtab:
#
# GNU Solfege - free ear training software
# Copyright (C) 2000, 2001, 2002, 2003, 2004, 2007, 2008, 2011  Tom Cato Amundsen
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

installfiles += $(wildcard solfege/*.py) \
				$(wildcard solfege/exercises/*.py)
dist_files += $(wildcard solfege/*.py) \
	$(wildcard solfege/exercises/*.py) \
	$(wildcard solfege/tests/*.py) \
	$(wildcard solfege/tests/lesson-files/*) \
	$(wildcard solfege/tests/lib/*) \
	$(wildcard solfege/tests/include/*) \
	solfege/Makefile solfege/buildinfo.py.in

clean-files += $(wildcard solfege/*.py[co] \
                          solfege/exercises/*.py[co] \
                          solfege/tests/*.py[co])

include solfege/mpd/Makefile
include solfege/soundcard/Makefile

=== exercises/standard/lesson-files/Makefile ===
# vim: set noexpandtab:
#
# GNU Solfege - free ear training software
# Copyright (C) 2000, 2001, 2002, 2003, 2004, 2007, 2008, 2011  Tom Cato Amundsen
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

installfiles += $(filter-out \
	exercises/standard/lesson-files/Makefile \
	exercises/standard/lesson-files/bin \
	exercises/standard/lesson-files/share \
	exercises/standard/lesson-files/include, \
	$(wildcard exercises/standard/lesson-files/* \
	           exercises/standard/lesson-files/bin/* \
			   exercises/standard/lesson-files/share/* \
			   exercises/standard/lesson-files/include/*))

lf_dist_files += $(filter-out exercises/standard/lesson-files/bin \
			               exercises/standard/lesson-files/share \
						   exercises/standard/lesson-files/include, \
	$(wildcard exercises/standard/lesson-files/* \
	           exercises/standard/lesson-files/bin/* \
			   exercises/standard/lesson-files/share/* \
			   exercises/standard/lesson-files/include/*))

.PHONY: gen-lessonfiles
gen-lessonfiles:
	$(PYTHON) tools/generate_lessonfiles.py
all: gen-lessonfiles

=== debian/changelog ===
solfege (3.22.2-2) unstable; urgency=low

  * Don't run tests (closes: #726462)

 -- Tom Cato Amundsen <tca@debian.org>  Tue, 22 Oct 2013 21:04:47 +0200

solfege (3.22.2-1) unstable; urgency=low

  * New upstream release
  * Don't build depend on any more xvfb

 -- Tom Cato Amundsen <tca@debian.org>  Fri, 04 Oct 2013 18:41:34 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Tom Cato Amundsen <tca@debian.org>
-Build-Depends: quilt (>= 0.46-7~), debhelper (>= 7.0.50~), autotools-dev, swig, gettext, python-dev (>=2.6.6-3~), texinfo, python-gtk2 (>=2.12.0), python-gtk2-dev (>=2.12.0), librsvg2-bin, txt2man, pkg-config, libglib2.0-dev (>= 2.8.0), xvfb, xauth, xfonts-base, libxml2-utils, gnome-doc-utils
+Build-Depends: quilt (>= 0.46-7~), debhelper (>= 7.0.50~), autotools-dev, swig, gettext, python-dev (>=2.6.6-3~), texinfo, python-gtk2 (>=2.12.0), python-gtk2-dev (>=2.12.0), librsvg2-bin, txt2man, pkg-config, libglib2.0-dev (>= 2.8.0), xauth, xfonts-base, libxml2-utils, gnome-doc-utils
 Standards-Version: 3.9.1
 Homepage: http://www.solfege.org

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,7 @@
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
 
+export DEB_BUILD_OPTIONS=nocheck
 
 %:
 	dh --with quilt,python2  $@

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webpage
# <Webpage URL> <string match>
http://ftp.gnu.org/gnu/solfege/solfege-(\d.*)\.tar\.gz

# Uncomment to examine a Webserver directory
#http://www.example.com/pub/solfege-(.*)\.tar\.gz

# Uncommment to examine a FTP server
#ftp://ftp.example.com/pub/solfege-(.*)\.tar\.gz debian uupdate

# Uncomment to find new files on sourceforge, for devscripts >= 2.9
# http://sf.net/solfege/solfege-(.*)\.tar\.gz

# Uncomment to find new files on GooglePages
# http://example.googlepages.com/foo.html solfege-(.*)\.tar\.gz
